/*
 *  KANJI Code conversion routines.
 */

#ifndef KPATHSEA_KANJI_H
#define KPATHSEA_KANJI_H

#include <kpathsea/types.h>
#include <kpathsea/c-proto.h>

#ifdef DEFAULT_KANJI

#define KANJI_OPTS "{jis|euc|sjis|utf8}"

/* OBSOLETE: get/set Kanji encode */
extern KPSEDLL int get_kanji_enc P1H(void);
extern KPSEDLL void set_kanji_enc P1H(int);
#define getkanjienc get_kanji_enc
#define setkanjienc set_kanji_enc

/* get/set Kanji encode name as string */
extern KPSEDLL string get_kanji_enc_string P1H(void);
extern KPSEDLL int set_kanji_enc_string P1H(string);
#define getkanjiencstring get_kanji_enc_string
#define setkanjiencstring set_kanji_enc_string

/* decide if internal Kanji encode is SJIS or not */
extern KPSEDLL boolean is_internalSJIS P1H(void);
#define isinternalSJIS is_internalSJIS

/* set is_internalSJIS() always false (for jbibtex) */
extern KPSEDLL void set_internal_euc_only P1H(void);

/* check Kanji range */
extern KPSEDLL boolean iskanji1 P1H(int);
extern KPSEDLL boolean iskanji2 P1H(int);

/* internal Kanji cod (EUC or SJIS) to/from JIS Kanji code conversion */
extern KPSEDLL int toJIS P1H(int);
extern KPSEDLL int fromJIS P1H(int);

/* EUC/SJIS/KUTN to internal Kanji code (EUC or SJIS) conversion */
extern KPSEDLL int fromEUC P1H(int);
extern KPSEDLL int fromSJIS P1H(int);
extern KPSEDLL int fromKUTEN P1H(int);


/* put char with Kanji code conversion */
extern KPSEDLL int putc2 P2H(int, FILE*);

/* input line with Kanji code conversion */
extern KPSEDLL int
input_line2 P5H(FILE*, string, long, long, int*);
#define inputline2(fp,buff,pos,size) (input_line2(fp,buff,(pos)+1,size,NULL)-1)

#endif /* DEFAULT_KANJI */
#endif /* KPATHSEA_KANJI_H */
